# Export/Import repositories from the filesystem of a Bitbucket Server/Data Center instance
Note that it is preferred that you use https://bitbucket.org/michaelchwalker/migrate-bitbucket-server-cloud/src/master/ if your server/dc instance is up and available as this will be much more precise.

# Usage
Edit the "migrate_from_filesystem.py" file and update the 4 fields after the import lines with your respective details. Follow the commented links if you have any questions.

Once edited, install the python dependencies via the following steps 

        python3 -m venv venv
        # Linux
        source ./venv/bin/activate
        # Windows
        .\venv\Scripts\activate
        pip3 install -r requirements.txt
        python3 migrate_from_filesystem.py

Check for a "failure.txt" file in the local directory as it will provide any details about failed repo pushes

# Requirements
Python 3.6+
